com.amazonaws.services.simpleworkflow.model

## Class ActivityTaskStatus

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.simpleworkflow.model.ActivityTaskStatus

All Implemented Interfaces:
  Serializable, Cloneable

    public class ActivityTaskStatus
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Status information about an activity task.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ActivityTaskStatus()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActivityTaskStatus` `clone()`
`boolean` `equals(Object obj)`
`Boolean` `getCancelRequested()` Set to `true` if cancellation of the task is requested.
`int` `hashCode()`
`Boolean` `isCancelRequested()` Set to `true` if cancellation of the task is requested.
`void` `setCancelRequested(Boolean cancelRequested)` Set to `true` if cancellation of the task is requested.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ActivityTaskStatus` `withCancelRequested(Boolean cancelRequested)` Set to `true` if cancellation of the task is requested.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActivityTaskStatus

    public ActivityTaskStatus()

### Method Detail

#### setCancelRequested

    public void setCancelRequested(Boolean cancelRequested)

Set to `true` if cancellation of the task is requested.

Parameters:
  `cancelRequested` - Set to `true` if cancellation of the task is requested.

#### getCancelRequested

    public Boolean getCancelRequested()

Set to `true` if cancellation of the task is requested.

Returns:
  Set to `true` if cancellation of the task is requested.

#### withCancelRequested

    public ActivityTaskStatus withCancelRequested(Boolean cancelRequested)

Set to `true` if cancellation of the task is requested.

Parameters:
  `cancelRequested` - Set to `true` if cancellation of the task is requested.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isCancelRequested

    public Boolean isCancelRequested()

Set to `true` if cancellation of the task is requested.

Returns:
  Set to `true` if cancellation of the task is requested.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ActivityTaskStatus clone()

Overrides:
  `clone` in class `Object`